Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1294812 - No graphics unless Wayland is disabled: NUC 5CPYH - "Braswell" SoC
Summary: No graphics unless Wayland is disabled: NUC 5CPYH - "Braswell" SoC
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: wayland
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2015-12-30 12:34 UTC by Alan Jenkins
Modified: 2016-05-12 11:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-01 17:04:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
journalctl -ab after boot + a couple of screen flashes, with gdm debugging enabled (deleted)
2015-12-30 12:34 UTC, Alan Jenkins
no flags Details
lspci -nn (deleted)
2015-12-30 12:35 UTC, Alan Jenkins
no flags Details
rpm -qa (deleted)
2015-12-30 12:35 UTC, Alan Jenkins
no flags Details

Description Alan Jenkins 2015-12-30 12:34:40 UTC
Created attachment 1110493 [details]
journalctl -ab after boot + a couple of screen flashes, with gdm debugging enabled

Description of problem:

With Wayland enabled, I don't get to see the login screen.  It flickers between black and "no signal".  Disabling Wayland fixes this.

(Step-by-step instructions to disable Wayland here: https://www.maketecheasier.com/fix-wayland-gdm-issue-fedora/).

This is an Intel NUC 5CPYH system - "Braswell" SoC.

I assume it's unlikely to be a problem in Wayland specifically.  But hopefully  someone will triage / help me identify the component it should be filed against.

[It would also be nice if "disable Wayland" was listed somewhere as a troubleshooting option; I didn't see that anywhere.  Any suggestions who to talk to?  Maybe the install guide is a good starting point as it has a very minimal troubleshooting section]


Version-Release number of selected component (if applicable):

kernel 4.2.8-300.fc23.x86_64 (also on 4.2.3-300)
wayland 1.9.0-1.fc23
mesa 11.1.0-20151218.fc23
mesa-libGLU 9.0.0-9.fc23

gnome-session-wayland-session-3.18.1.2-2.fc23
gdm 3.18.2-1.fc23


How reproducible: always, just turn the box on and wait for gdm to start.

Steps to Reproduce:
1. Buy NUC5CPYH
2. Install Fedora Workstation 23
3. Boot


Actual results:

I don't get to see the login screen.  It flickers between black and "no signal".  Disabling Wayland fixes this.


Expected results:

Lovely free software GUI appears when booting my Fedora install.


Additional info:

Even with the workaround I get a few kernel messages "*ERROR* timed out waiting for Punit DDR DVFS request"

Comment 1 Alan Jenkins 2015-12-30 12:35:07 UTC
Created attachment 1110494 [details]
lspci -nn

Comment 2 Alan Jenkins 2015-12-30 12:35:42 UTC
Created attachment 1110495 [details]
rpm -qa

Comment 3 Alan Jenkins 2015-12-30 12:42:30 UTC
"Blocks: WaylandRelated" suggested by wiki page on debugging Wayland.

Comment 4 Alan Jenkins 2016-02-01 17:04:14 UTC
This seems to have fixed itself, yay!

Current versions - I guess only the kernel has changed:

linux 4.3.3-300.fc23.x86_64
wayland 1.9.0-1.fc23.x86_64
mesa 11.1.0-2.20151218.fc23.x86_64
mesa-libGLU 9.0.0-9.fc23.x86_64

gnome-session-wayland-session-3.18.1.2-2.fc23.x86_64
gdm-3.18.2-1.fc23.x86_64

xorg-x11-server-Xwayland-1.18.0-2.fc23.x86_64


Note You need to log in before you can comment on or make changes to this bug.